Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

UserWarning matplotlib: The 'normed' kwarg is deprecated #1392

Closed
tandriamil opened this issue Mar 27, 2018 · 8 comments
Closed

UserWarning matplotlib: The 'normed' kwarg is deprecated #1392

tandriamil opened this issue Mar 27, 2018 · 8 comments

Comments

@tandriamil
Copy link

@tandriamil tandriamil commented Mar 27, 2018

Hi,

I got a warning when plotting a distribution, it seems to be caused by the matplotlib wrapper used by seaborn.

/home/[...]/venv/lib/python3.5/site-packages/matplotlib/axes/_axes.py:6462: UserWarning: The 'normed' kwarg is deprecated, and has been replaced by the 'density' kwarg.
warnings.warn("The 'normed' kwarg is deprecated, and has been "

I have matplotlib 2.2.2 and seaborn 0.8.1, thanks.

@mwaskom
Copy link
Owner

@mwaskom mwaskom commented Mar 27, 2018

Already fixed with #1380

@mwaskom mwaskom closed this Mar 27, 2018
@russtoku
Copy link

@russtoku russtoku commented Apr 8, 2018

Hi,

I'm seeing the same warning using matplotlib 2.2.2 and seaborn 0.8.1 from conda 4.5.0.

[...]/miniconda3/envs/jup3/lib/python3.6/site-packages/matplotlib/axes/_axes.py:6462: UserWarning: The 'normed' kwarg is deprecated, and has been replaced by the 'density' kwarg.

@russtoku
Copy link

@russtoku russtoku commented Apr 8, 2018

Sorry, but it appears that the seaborn 0.8.1 package from conda 4.5.0 is lacking this patch. In line 214 of seaborn/distributions.py, I changed "normed" to "norm_hist" and the warning message is gone. Thanks!

@tandriamil
Copy link
Author

@tandriamil tandriamil commented Apr 9, 2018

It seems that the warning was already patched but no stable release incorporates it yet

@Aquapisces
Copy link

@Aquapisces Aquapisces commented May 23, 2018

I also get the warning using python 2.7.14, matplotlib-2.2.2 and seaborn 0.8.1...
c:\python27\lib\site-packages\matplotlib\axes_axes.py:6462: UserWarning: The 'normed' kwarg is deprecated, and has been replaced by the 'density' kwarg.

@mangolzy
Copy link

@mangolzy mangolzy commented May 25, 2018

I also get the warning using python 2.7.12, matplotlib-2.2.2 and seaborn 0.8.1...
c:\python27\lib\site-packages\matplotlib\axes_axes.py:6462: UserWarning: The 'normed' kwarg is deprecated, and has been replaced by the 'density' kwarg.

@tandriamil
Copy link
Author

@tandriamil tandriamil commented May 25, 2018

Guys, this warning is already patched but as I said, no stable release contains it yet. Look at the comment of @russtoku for a temporary manual patch until the official release 😉

Repository owner locked as resolved and limited conversation to collaborators May 25, 2018
@mwaskom
Copy link
Owner

@mwaskom mwaskom commented Jul 23, 2018

Following up to mention that 0.9 has been released with this fix included.

Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.
Labels
None yet
Projects
None yet
Linked pull requests

Successfully merging a pull request may close this issue.

None yet
5 participants